Subject: bug#20664: 25.0.50; Customize: Link option or face name to the source definition

From: Mauro Aranda <[email-masked]>
Date: Thu, 17 Sep 2020 18:41:53 -0300

Lars Ingebrigtsen <[email-masked]> writes:

> I think that's just a bug in Customize -- I think I've now fixed that,
> but it involved some refactoring, so hopefully I didn't break anything.
> But a standard Customize buffer seems to have the same number of things
> that work before/after the rework, so I'm hopeful.  :-)

After the change in wid-edit.el, clicking in the Value Menu button
doesn't display a menu.

I attach a patch to fix it.
From 5f92d06af343c3ac28f1fb1be72eb695d38fe771 Mon Sep 17 00:00:00 2001
From: Mauro Aranda <[email-masked]>
Date: Thu, 17 Sep 2020 18:31:57 -0300
Subject: [PATCH] Fix recent change in wid-edit

* lisp/wid-edit.el (widget-button--check-and-call-button): Record the
ending position of event, because we might need it when
the :mouse-down-action function returns non-nil.  (Bug#20664)
---
 lisp/wid-edit.el | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/lisp/wid-edit.el b/lisp/wid-edit.el
index 8be489bf08..5ac52777f8 100644
--- a/lisp/wid-edit.el
+++ b/lisp/wid-edit.el
@@ -978,7 +978,8 @@ widget-button--check-and-call-button
 If nothing was called, return non-nil."
   (let* ((oevent event)
          (mouse-1 (memq (event-basic-type event) '(mouse-1 down-mouse-1)))
-         newpoint pos)
+         (pos (widget-event-point event))
+         newpoint)
     (catch 'button-press-cancelled
       ;; Mouse click on a widget button.  Do the following
       ;; in a save-excursion so that the click on the button
-- 
2.28.0